curl --request POST \
--url https://api.dfns.io/auth/credentials/init \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "Fido2"
}
'{
"kind": "Fido2",
"user": {
"id": "<string>",
"displayName": "<string>",
"name": "<string>"
},
"challengeIdentifier": "<string>",
"challenge": "<string>",
"authenticatorSelection": {
"residentKey": "required",
"requireResidentKey": true,
"userVerification": "required",
"authenticatorAttachment": "platform"
},
"attestation": "none",
"pubKeyCredParams": [
{
"type": "public-key",
"alg": 123
}
],
"excludeCredentials": [
{
"type": "public-key",
"id": "cr-6uunn-bm6ja-f6rmod5kqrk5rbel"
}
],
"temporaryAuthenticationToken": "<string>",
"rp": {
"id": "<string>",
"name": "<string>"
}
}Part of the flow Create Credential Regular flow.
Starts a create user credential session, returning a challenge that will be used to verify the user’s identity.
curl --request POST \
--url https://api.dfns.io/auth/credentials/init \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "Fido2"
}
'{
"kind": "Fido2",
"user": {
"id": "<string>",
"displayName": "<string>",
"name": "<string>"
},
"challengeIdentifier": "<string>",
"challenge": "<string>",
"authenticatorSelection": {
"residentKey": "required",
"requireResidentKey": true,
"userVerification": "required",
"authenticatorAttachment": "platform"
},
"attestation": "none",
"pubKeyCredParams": [
{
"type": "public-key",
"alg": 123
}
],
"excludeCredentials": [
{
"type": "public-key",
"id": "cr-6uunn-bm6ja-f6rmod5kqrk5rbel"
}
],
"temporaryAuthenticationToken": "<string>",
"rp": {
"id": "<string>",
"name": "<string>"
}
}CustomerEmployee)EndUser)Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
The kind of credential.
Fido2, Key, RecoveryKey, PasswordProtectedKey Success
Fido2 Credential, also known as Passkeys or WebauthN credential.
Fido2 Show child attributes
Show child attributes
Identifies the information needed to verify the user's signing certificate; can be one of the following:
none, indirect, direct, enterprise Show child attributes
Show child attributes
@deprecated use challengeIdentifier instead
Show child attributes
Was this page helpful?